java.io

## Class NotActiveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.ObjectStreamException
        - - java.io.NotActiveException

- All Implemented Interfaces:
    Serializable

      public class NotActiveException
      extends ObjectStreamException

  Thrown when serialization or deserialization is not active.
  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotActiveException()` Constructor to create a new NotActiveException without a reason.
    `NotActiveException(String reason)` Constructor to create a new NotActiveException with the reason given.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotActiveException

          public NotActiveException(String reason)

      Constructor to create a new NotActiveException with the reason given.
      Parameters:
        `reason` - a String describing the reason for the exception.

    - #### NotActiveException

          public NotActiveException()

      Constructor to create a new NotActiveException without a reason.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.